Sync with portage [Fri Nov 30 09:04:21 MSK 2018].

mhiretskiy 1292
root 5 years ago
parent ef2c9d4130
commit 5cacfd2937

Binary file not shown.

Binary file not shown.

@ -13,7 +13,7 @@ SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="alpha amd64 arm arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="bzip2 doc ldap nls readline selinux +smartcard ssl tofu tools usb wks-server"
COMMON_DEPEND_LIBS="

@ -1,81 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
GCONF_DEBUG="yes"
PYTHON_COMPAT=( python3_{4,5,6} )
VALA_USE_DEPEND=vapigen
inherit gnome2 python-any-r1 vala virtualx
DESCRIPTION="GObject library for accessing the freedesktop.org Secret Service API"
HOMEPAGE="https://wiki.gnome.org/Projects/Libsecret"
LICENSE="LGPL-2.1+ Apache-2.0" # Apache-2.0 license is used for tests only
SLOT="0"
IUSE="+crypt +introspection test vala"
# Tests fail with USE=-introspection, https://bugs.gentoo.org/655482
REQUIRED_USE="test? ( introspection )
vala? ( introspection )"
KEYWORDS="alpha amd64 arm ~arm64 ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-fbsd"
RDEPEND="
>=dev-libs/glib-2.38:2
crypt? ( >=dev-libs/libgcrypt-1.2.2:0= )
introspection? ( >=dev-libs/gobject-introspection-1.29:= )
"
PDEPEND=">=gnome-base/gnome-keyring-3
"
# PDEPEND to avoid circular dep (bug #547456)
# gnome-keyring needed at runtime as explained at https://bugs.gentoo.org/475182#c2
# Add ksecrets to PDEPEND when it's added to portage
DEPEND="${RDEPEND}
dev-libs/libxslt
dev-util/gdbus-codegen
>=dev-util/gtk-doc-am-1.9
>=dev-util/intltool-0.35.0
sys-devel/gettext
virtual/pkgconfig
test? (
$(python_gen_any_dep '
dev-python/mock[${PYTHON_USEDEP}]
dev-python/dbus-python[${PYTHON_USEDEP}]
introspection? ( dev-python/pygobject:3[${PYTHON_USEDEP}] )')
introspection? ( >=dev-libs/gjs-1.32 )
)
vala? ( $(vala_depend) )
"
python_check_deps() {
if use introspection; then
has_version --host-root "dev-python/pygobject:3[${PYTHON_USEDEP}]" || return
fi
has_version --host-root "dev-python/mock[${PYTHON_USEDEP}]" &&
has_version --host-root "dev-python/dbus-python[${PYTHON_USEDEP}]"
}
pkg_setup() {
use test && python-any-r1_pkg_setup
}
src_prepare() {
use vala && vala_src_prepare
gnome2_src_prepare
}
src_configure() {
gnome2_src_configure \
--enable-manpages \
--disable-strict \
--disable-coverage \
--disable-static \
$(use_enable crypt gcrypt) \
$(use_enable introspection) \
$(use_enable vala)
}
src_test() {
Xemake check
}

@ -11,7 +11,7 @@ SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="caps emacs gnome-keyring fltk gtk ncurses qt5 static"
CDEPEND="

Binary file not shown.

@ -10,7 +10,7 @@ SRC_URI="mirror://sourceforge/bvi/${P}.src.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
IUSE=""
KEYWORDS="~amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
DEPEND="sys-libs/ncurses:0="
RDEPEND="${DEPEND}"

@ -0,0 +1,313 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
VIM_VERSION="8.1"
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6,3_7} )
PYTHON_REQ_USE="threads(+)"
USE_RUBY="ruby23 ruby24 ruby25"
inherit vim-doc flag-o-matic bash-completion-r1 python-single-r1 ruby-single desktop
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vim/vim.git"
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://dev.gentoo.org/~radhermit/vim/vim-8.0.0938-gentoo-patches.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="Vim, an improved vi-style text editor"
HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
SLOT="0"
LICENSE="vim"
IUSE="X acl cscope debug gpm lua luajit minimal nls perl python racket ruby selinux tcl terminal vim-pager"
REQUIRED_USE="
luajit? ( lua )
python? ( ${PYTHON_REQUIRED_USE} )
"
RDEPEND="
>=app-eselect/eselect-vi-1.1
>=sys-libs/ncurses-5.2-r2:0=
nls? ( virtual/libintl )
acl? ( kernel_linux? ( sys-apps/acl ) )
cscope? ( dev-util/cscope )
gpm? ( >=sys-libs/gpm-1.19.3 )
lua? (
luajit? ( dev-lang/luajit:2= )
!luajit? ( dev-lang/lua:0[deprecated] )
)
!minimal? (
~app-editors/vim-core-${PV}
dev-util/ctags
)
perl? ( dev-lang/perl:= )
python? ( ${PYTHON_DEPS} )
racket? ( dev-scheme/racket )
ruby? ( ${RUBY_DEPS} )
selinux? ( sys-libs/libselinux )
tcl? ( dev-lang/tcl:0= )
X? ( x11-libs/libXt )
"
DEPEND="
${RDEPEND}
sys-devel/autoconf
nls? ( sys-devel/gettext )
"
pkg_setup() {
# people with broken alphabets run into trouble. bug 82186.
unset LANG LC_ALL
export LC_COLLATE="C"
# Gnome sandbox silliness. bug #114475.
mkdir -p "${T}"/home || die "mkdir failed"
export HOME="${T}"/home
use python && python-single-r1_pkg_setup
}
src_prepare() {
if [[ ${PV} != 9999* ]] ; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
eapply "${WORKDIR}"/patches/
fi
# Fixup a script to use awk instead of nawk
sed -i -e \
'1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
"${S}"/runtime/tools/mve.awk || die "mve.awk sed failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' \
>> "${S}"/src/feature.h || die "echo failed"
echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' \
>> "${S}"/src/feature.h || die "echo failed"
# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
# Hopefully this pattern won't break for a while at least.
# This fixes bug 29398 (27 Sep 2003 agriffis)
sed -i -e \
's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
"${S}"/runtime/doc/syntax.txt \
"${S}"/runtime/doc/tagsrch.txt \
"${S}"/runtime/doc/usr_29.txt \
"${S}"/runtime/menu.vim \
"${S}"/src/configure.ac || die 'sed failed'
# Don't be fooled by /usr/include/libc.h. When found, vim thinks
# this is NeXT, but it's actually just a file in dev-libs/9libs
# This fixes bug 43885 (20 Mar 2004 agriffis)
sed -i -e \
's/ libc\.h / /' \
"${S}"/src/configure.ac || die 'sed failed'
# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c; do
echo >> "$c" || die "echo failed"
done
# conditionally make the manpager.sh script
if use vim-pager; then
cat > "${S}"/runtime/macros/manpager.sh <<-_EOF_ || die "cat EOF failed"
#!/bin/sh
sed -e 's/\x1B\[[[:digit:]]\+m//g' | col -b | \\
vim \\
-c 'let no_plugin_maps = 1' \\
-c 'set nolist nomod ft=man ts=8' \\
-c 'let g:showmarks_enable=0' \\
-c 'runtime! macros/less.vim' -
_EOF_
fi
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]]; then
sed -i -e \
'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile || die "sed failed"
fi
cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
sed -i -e \
"s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
eapply_user
}
src_configure() {
local myconf=()
# Fix bug 37354: Disallow -funroll-all-loops on amd64
# Bug 57859 suggests that we want to do this for all archs
filter-flags -funroll-all-loops
# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
# everyone since previous flag filtering bugs have turned out to affect
# multiple archs...
replace-flags -O3 -O2
# Fix bug 18245: Prevent "make" from the following chain:
# (1) Notice configure.ac is newer than auto/configure
# (2) Rebuild auto/configure
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
rm src/auto/configure || die "rm failed"
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug 24447). The hvc
# things are for ppc64, see bug 86433.
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
if [[ -e "${file}" ]]; then
addwrite $file
fi
done
if use minimal; then
myconf=(
--with-features=tiny
--disable-nls
--disable-multibyte
--disable-acl
--enable-gui=no
--without-x
--disable-darwin
--disable-luainterp
--disable-perlinterp
--disable-pythoninterp
--disable-mzschemeinterp
--disable-rubyinterp
--disable-selinux
--disable-tclinterp
--disable-gpm
)
else
use debug && append-flags "-DDEBUG"
myconf=(
--with-features=huge
--enable-multibyte
$(use_enable acl)
$(use_enable cscope)
$(use_enable gpm)
$(use_enable lua luainterp)
$(usex lua "--with-lua-prefix=${EPREFIX}/usr" "")
$(use_with luajit)
$(use_enable nls)
$(use_enable perl perlinterp)
$(use_enable python pythoninterp)
$(use_enable python python3interp)
$(use_enable racket mzschemeinterp)
$(use_enable ruby rubyinterp)
$(use_enable selinux)
$(use_enable tcl tclinterp)
$(use_enable terminal)
)
# --with-features=huge forces on cscope even if we --disable it. We need
# to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
if ! use cscope; then
sed -i -e \
'/# define FEAT_CSCOPE/d' src/feature.h || die "sed failed"
fi
# don't test USE=X here ... see bug #19115
# but need to provide a way to link against X ... see bug #20093
myconf+=(
--enable-gui=no
--disable-darwin
$(use_with X x)
)
fi
# let package manager strip binaries
export ac_cv_prog_STRIP="$(type -P true ) faking strip"
# keep prefix env contained within the EPREFIX
use prefix && myconf+=( --without-local-dir )
econf \
--with-modified-by=Gentoo-${PVR} \
"${myconf[@]}"
}
src_compile() {
# The following allows emake to be used
emake -j1 -C src auto/osdef.h objects
emake
}
src_test() {
einfo
einfo "Starting vim tests. Several error messages will be shown"
einfo "while the tests run. This is normal behaviour and does not"
einfo "indicate a fault."
einfo
ewarn "If the tests fail, your terminal may be left in a strange"
ewarn "state. Usually, running 'reset' will fix this."
einfo
# Don't let vim talk to X
unset DISPLAY
emake -j1 -C src/testdir nongui
}
# Call eselect vi update with --if-unset
# to respect user's choice (bug 187449)
eselect_vi_update() {
einfo "Calling eselect vi update..."
eselect vi update --if-unset
eend $?
}
src_install() {
local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
# Note: Do not install symlinks for 'vi', 'ex', or 'view', as these are
# managed by eselect-vi
dobin src/vim
dosym vim /usr/bin/vimdiff
dosym vim /usr/bin/rvim
dosym vim /usr/bin/rview
if use vim-pager ; then
dosym ${vimfiles}/macros/less.sh /usr/bin/vimpager
dosym ${vimfiles}/macros/manpager.sh /usr/bin/vimmanpager
insinto ${vimfiles}/macros
doins runtime/macros/manpager.sh
fperms a+x ${vimfiles}/macros/manpager.sh
fi
domenu runtime/vim.desktop
newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
# keep in sync with 'complete ... -F' list
bashcomp_alias vim ex vi view rvim rview vimdiff
}
pkg_postinst() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
# Call eselect vi update
eselect_vi_update
}
pkg_postrm() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
# Call eselect vi update
eselect_vi_update
}

@ -1,10 +1,10 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
VIM_VERSION="8.1"
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
PYTHON_REQ_USE="threads"
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6,3_7} )
PYTHON_REQ_USE="threads(+)"
USE_RUBY="ruby23 ruby24 ruby25"
inherit vim-doc flag-o-matic bash-completion-r1 python-single-r1 ruby-single desktop

Binary file not shown.

@ -18,6 +18,7 @@ RDEPEND="app-emacs/popup"
BDEPEND="${RDEPEND}
doc? ( app-text/pandoc )"
ELISP_REMOVE="${PN}-pkg.el"
SITEFILE="50${PN}-gentoo.el"
src_compile() {

@ -1 +1,2 @@
DIST rudel-0.3.1.tar.xz 418076 BLAKE2B e4a85abba24c3241cf5f8b468c6953662584256998c28cea6b1df59bcc943b364b9b1564787758c2d2c55ce61cbddf1e10c22714dc99c4b705831000eb5835f8 SHA512 b006745af5d5f607da78e910d226abfdd51343e806a14f1fbe340fc7b92503dba6b5d43668967da346bdf534b983d0de4b83d9039f5c5940b6b0d1c0fad3ad6b
DIST rudel-0.3_pre20110721.tar.xz 416060 BLAKE2B 813ec0dc034a0893c0cc540118d9471fcb353c232ce37b70816183ebc99ff82c16e80eddf015f5d5663c7380a93c29b153871bb1ca58f37f06d4e09bddd87912 SHA512 abf6c8eb4fcaf4acafb9bed7cafff5d3c8e19e3fecd2aa779065bfb11ce5cb198ef14cc9deed360ac895166ea159a821e24dc92dbeda4f5481d1bb3bc2f8c023

@ -0,0 +1,13 @@
(add-to-list 'load-path "@SITELISP@")
(autoload 'rudel-join-session "rudel"
"Start a collaborative Rudel session" t)
(autoload 'rudel-host-session "rudel-loaddefs"
"Host a collaborative Rudel session" t)
(autoload 'rudel-speedbar "rudel-speedbar"
"Show connected users and documents for the Rudel session in speedbar" t)
(autoload 'global-rudel-minor-mode "rudel-mode"
"Toggle global Rudel minor mode (No modeline indicator)." t)
;;(global-set-key (kbd "C-c c j") 'rudel-join-session)
(setq rudel-icons-directory "@SITEETC@/icons/")

@ -0,0 +1,35 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
NEED_EMACS=24
inherit readme.gentoo-r1 elisp
DESCRIPTION="Collaborative editing environment for GNU Emacs"
HOMEPAGE="http://rudel.sourceforge.net/
https://www.emacswiki.org/emacs/Rudel"
SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz" # from GNU ELPA
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
ELISP_REMOVE="${PN}-pkg.el"
SITEFILE="60${PN}-gentoo-${PV}.el"
src_install() {
elisp-install ${PN} *.el *.elc
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
insinto "${SITEETC}/${PN}"
doins -r icons
dodoc README INSTALL ChangeLog TODO doc/card.pdf
DOC_CONTENTS="Connections to Gobby servers require the gnutls-cli program
(net-libs/gnutls[tools]).
\\n\\nThe Avahi daemon (net-dns/avahi) is required for automatic
session discovery and advertising."
readme.gentoo_create_doc
}

Binary file not shown.

@ -1,3 +1,4 @@
DIST vagrant-2.1.1.tar.gz 1204711 BLAKE2B 88a6254091104eed702e07a4203a264b883869fb028b8d30fd51ddfc2053aec363683a2e73d1454ce92b705440920d5c80c0f967e4dc110bf425ce17973efccd SHA512 6cc82b4c33b196fce2bc460447afd152e53c3c17b45db5d80958ff631f6747c386b625ff26e3d8830a88b2feca82d550ad1de32e7c7607dffb25960af43092f5
DIST vagrant-2.1.2.tar.gz 1218801 BLAKE2B 742f27ca6c28c9738c09ef61c742be07121b5a804fa401115520633e5840c62c8e879fae078c5532704f6f6f7d7a9081d48e3f7570cfe6e6dd84f8df244a34ae SHA512 d9a2612697842885d23d1a9a452ef9d8b03defa4e6f7a808725ac7c3a87300affcfdd89ee3a42334259601e19f1e56bfd86a5aa7b404eac26bc22dcfd4a57751
DIST vagrant-2.1.5.tar.gz 1238788 BLAKE2B 8e3dfeb4d830fde1984c08b16422c99b51ce455fcc63e1fad0eca7860efccbf2e77edc13537bfa495345e585b559fe5462ae872decce036b45c1f54c453983ea SHA512 544216eb25c06a1ebddbadcc9d2d6a6dd9932e33d2554e3d51dba0e24a339b9afe0b85d1322bdb67c5de3d070aa4c854f1ccc931b23ea80f0625eb4d1f120238
DIST vagrant-2.2.2.tar.gz 1223645 BLAKE2B 595d26a11f27a23a9e66386820dec7c23fbafe079e9e9750e7cbc928cac2e965782abbb062f6b04efd367b56297d040af2b4f4f56d6df06e604f018110e10329 SHA512 70c83fcd896ae3b84fac22c539eb85db9bf08c8f75108d5f2b86841821cf7a885b72565814519b6f2ef3422d84d2f67fc402b983b1a15c1edfd0dc78196cd957

@ -2,12 +2,8 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>hydrapolic@gmail.com</email>
<name>Tomas Mozes</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
<email>gyakovlev@gentoo.org</email>
<name>Georgy Yakovlev</name>
</maintainer>
<use>
<flag name="virtualbox">

@ -0,0 +1,90 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby23 ruby24 ruby25"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
RUBY_FAKEGEM_GEMSPEC="vagrant.gemspec"
RUBY_FAKEGEM_EXTRAINSTALL="keys plugins templates version.txt"
RUBY_FAKEGEM_TASK_DOC=""
inherit bash-completion-r1 ruby-fakegem
DESCRIPTION="A tool for building and distributing development environments"
HOMEPAGE="https://vagrantup.com/"
SRC_URI="https://github.com/hashicorp/vagrant/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+virtualbox"
RESTRICT="test"
RDEPEND="${RDEPEND}
app-arch/libarchive
net-misc/curl
virtualbox? ( || ( app-emulation/virtualbox app-emulation/virtualbox-bin ) )"
ruby_add_rdepend "
>=dev-ruby/bcrypt_pbkdf-1.0.0
>=dev-ruby/childprocess-0.6.0
>=dev-ruby/ed25519-1.2.4
>=dev-ruby/erubis-2.7.0
>=dev-ruby/hashicorp-checkpoint-0.1.5
>=dev-ruby/i18n-1.1.1:*
>=dev-ruby/listen-3.1.5
>=dev-ruby/log4r-1.1.9 <dev-ruby/log4r-1.1.11
<dev-ruby/mime-types-3:*
>=dev-ruby/net-ssh-5.0.0:*
>=dev-ruby/net-sftp-2.1
>=dev-ruby/net-scp-1.2.0
|| ( dev-ruby/rest-client:2 >=dev-ruby/rest-client-1.6.0:0 )
>=dev-ruby/rubyzip-1.2.2
>=dev-ruby/vagrant_cloud-2.0.0
"
# upstream specifies rake>=12 but it apparently doesn't need something this
# recent. Because vagrant builds fine with rake 10 and because stabilizing rake
# is tricky, we specify a lower dependency requirement here. This way, we'll be
# able to stabilize vagrant sooner.
ruby_add_bdepend "
>=dev-ruby/rake-10.5.0
"
all_ruby_prepare() {
# remove bundler support
sed -i '/[Bb]undler/d' Rakefile || die
rm Gemfile || die
# loosen dependencies
sed -e '/hashicorp-checkpoint\|listen\|net-ssh\|net-scp\|rake\|childprocess/s/~>/>=/' \
-e '/ruby_dep/s/<=/>=/' \
-i ${PN}.gemspec || die
# remove windows-specific gems
sed -e '/wdm\|winrm/d' \
-i ${PN}.gemspec || die
# remove bsd-specific gems
sed -e '/rb-kqueue/d' \
-i ${PN}.gemspec || die
sed -e "s/@VAGRANT_VERSION@/${PV}/g" "${FILESDIR}/${PN}-r1.in" > "${PN}" || die
}
all_ruby_install() {
all_fakegem_install
newbashcomp contrib/bash/completion.sh ${PN}
# provide executable similar to upstream:
# https://github.com/hashicorp/vagrant-installers/blob/master/substrate/modules/vagrant_installer/templates/vagrant.erb
dobin "${PN}"
# directory for plugins.json
keepdir /var/lib/vagrant
insinto /usr/share/vim/vimfiles/syntax/
doins contrib/vim/vagrantfile.vim
}

@ -0,0 +1,11 @@
--- vice-2.4.7.orig/configure.ac
+++ vice-2.4.7/configure.ac
@@ -124,7 +118,7 @@
AC_SUBST(VICE_VERSION)
AM_INIT_AUTOMAKE(vice, $VICE_VERSION)
-AM_CONFIG_HEADER(src/config.h)
+AC_CONFIG_HEADERS(src/config.h)
if test x"$VICE_VERSION_BUILD" = "x" -o x"$VICE_VERSION_BUILD" = "x0" ; then
VERSION_RC=$VICE_VERSION_MAJOR","$VICE_VERSION_MINOR",0,0"

@ -0,0 +1,74 @@
--- a/src/gfxoutputdrv/ffmpegdrv.c
+++ b/src/gfxoutputdrv/ffmpegdrv.c
@@ -46,6 +46,13 @@
#include "util.h"
#include "soundmovie.h"
+/** \brief Helper macro to determine ffmpeg version
+ */
+#if (LIBAVCODEC_VERSION_MAJOR >= 58) && (LIBAVCODEC_VERSION_MINOR >= 18)
+# define HAVE_FFMPEG4
+#endif
+
+
static gfxoutputdrv_codec_t avi_audio_codeclist[] = {
{ AV_CODEC_ID_MP2, "MP2" },
{ AV_CODEC_ID_MP3, "MP3" },
@@ -354,7 +361,11 @@
}
audio_is_open = 1;
+#ifdef HAVE_FFMPEG4
+ if (c->codec->capabilities & AV_CODEC_CAP_VARIABLE_FRAME_SIZE) {
+#else
if (c->codec->capabilities & CODEC_CAP_VARIABLE_FRAME_SIZE) {
+#endif
audio_inbuf_samples = 10000;
} else {
audio_inbuf_samples = c->frame_size;
@@ -447,8 +458,13 @@
audio_st.samples_count = 0;
/* Some formats want stream headers to be separate. */
- if (ffmpegdrv_oc->oformat->flags & AVFMT_GLOBALHEADER)
+ if (ffmpegdrv_oc->oformat->flags & AVFMT_GLOBALHEADER) {
+#ifdef HAVE_FFMPEG4
+ c->flags |= AV_CODEC_FLAG_GLOBAL_HEADER;
+#else
c->flags |= CODEC_FLAG_GLOBAL_HEADER;
+#endif
+ }
/* create resampler context */
#ifndef HAVE_FFMPEG_AVRESAMPLE
@@ -781,7 +797,11 @@
/* Some formats want stream headers to be separate. */
if (ffmpegdrv_oc->oformat->flags & AVFMT_GLOBALHEADER) {
+#ifdef HAVE_FFMPEG4
+ c->flags |= AV_CODEC_FLAG_GLOBAL_HEADER;
+#else
c->flags |= CODEC_FLAG_GLOBAL_HEADER;
+#endif
}
if (audio_init_done) {
@@ -961,6 +981,7 @@
video_st.frame->pts = video_st.next_pts++;
+#ifdef AVFMT_RAWPICTURE
if (ffmpegdrv_oc->oformat->flags & AVFMT_RAWPICTURE) {
AVPacket pkt;
VICE_P_AV_INIT_PACKET(&pkt);
@@ -971,7 +992,9 @@
pkt.pts = pkt.dts = video_st.frame->pts;
ret = VICE_P_AV_INTERLEAVED_WRITE_FRAME(ffmpegdrv_oc, &pkt);
- } else {
+ } else
+#endif
+ {
AVPacket pkt = { 0 };
int got_packet;

@ -1,38 +1,34 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools flag-o-matic toolchain-funcs
DESCRIPTION="The Versatile Commodore 8-bit Emulator"
DESCRIPTION="Versatile Commodore 8-bit Emulator"
HOMEPAGE="http://vice-emu.sourceforge.net/"
SRC_URI="mirror://sourceforge/vice-emu/releases/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="Xaw3d alsa ethernet ffmpeg fullscreen +gtk ipv6 lame libav nls oss png pulseaudio sdl +sdlsound threads vte zlib"
IUSE="alsa ethernet ffmpeg fullscreen +gtk ipv6 lame libav nls oss png pulseaudio sdl +sdlsound threads vte Xaw3d zlib"
# upstream says gtk3 and sdl2 shouldn't be exposed yet.
#REQUIRED_USE="?? ( gtk2 gtk3 sdl )"
REQUIRED_USE="?? ( gtk sdl )"
GTK_COMMON="
x11-libs/pango
x11-libs/cairo"
# gtk3? (
# x11-libs/cairo
# x11-libs/gtk+:3
# x11-libs/pango
# vte? ( x11-libs/vte:2.90 )
# ${GTK_COMMON}
# )
RDEPEND="
media-libs/giflib
virtual/jpeg:0
virtual/opengl
media-libs/giflib
alsa? ( media-libs/alsa-lib )
pulseaudio? ( media-sound/pulseaudio )
sdlsound? ( media-libs/libsdl[sound] )
ethernet? (
>=net-libs/libpcap-0.9.8
>=net-libs/libnet-1.1.2.1:1.1
@ -41,17 +37,22 @@ RDEPEND="
libav? ( media-video/libav:= )
!libav? ( media-video/ffmpeg:= )
)
gtk? (
x11-libs/cairo
x11-libs/gtk+:2
x11-libs/gtkglext
x11-libs/pango
vte? ( x11-libs/vte:0 )
)
lame? ( media-sound/lame )
nls? ( virtual/libintl )
png? ( media-libs/libpng:0= )
zlib? ( sys-libs/zlib:= )
sdl? (
media-libs/libsdl[joystick,video]
)
pulseaudio? ( media-sound/pulseaudio )
sdl? ( media-libs/libsdl[joystick,video] )
!sdl? (
sys-libs/readline:0=
x11-libs/libX11
x11-libs/libXext
sys-libs/readline:0=
fullscreen? (
x11-libs/libXrandr
x11-libs/libXxf86vm
@ -65,28 +66,25 @@ RDEPEND="
!Xaw3d? ( x11-libs/libXaw )
)
)
gtk? (
x11-libs/gtk+:2
x11-libs/gtkglext
${GTK_COMMON}
vte? ( x11-libs/vte:0 )
)"
sdlsound? ( media-libs/libsdl[sound] )
zlib? ( sys-libs/zlib )
"
DEPEND="${RDEPEND}
virtual/pkgconfig
media-libs/fontconfig
x11-apps/bdftopcf
x11-apps/mkfontdir
x11-base/xorg-proto
media-libs/fontconfig
virtual/pkgconfig
nls? ( sys-devel/gettext )
!sdl? (
!gtk? (
!gtk? ( !sdl? (
x11-libs/libICE
x11-libs/libSM
)
)"
) )
"
PATCH=(
"${FILESDIR}"/${P}-autotools.patch
PATCHES=(
"${FILESDIR}"/${PN}-2.4.27-autotools.patch
"${FILESDIR}"/${P}-ffmpeg4.patch
)
src_prepare() {

@ -1,5 +1,6 @@
DIST gentoo-wine-patches-20180120.tar.xz 58672 BLAKE2B 84d621075b65475cec41a06429680b518d7eafb938cefd903f3f8aa71ea3049ac9d8de05af48f9f4f4a1b9172c7ef17784540413e410eb8ec11e8ec4a63858c6 SHA512 5b354a409c7a2b77499aaa593b9248a1d15d755e3687b095755faacc30068bfcdbdd5c2a2a78617cb1a78c46d2931162bd69ec3379b035d81494bea7108263c2
DIST wine-3.0.3.tar.xz 19735412 BLAKE2B f0ccbe272f1013386f89805cf1573cf001eb875bccb31a1884fad1dff5f90caf727c460406af80f63db7a227d85f25f57c8e8e650a171adbe0c3f5178ddf17e8 SHA512 11043a9a9434681f9c73590688b600b3b9e3d311be2c4d97b5f58f0740500ebcfbdc826bd6584d5dd392dccbdd9389ffa04c8fedbba43a4df2e6aeb922414412
DIST wine-3.0.4.tar.xz 20556944 BLAKE2B 122c06e38cae9f9d2358908d0d325ed4e0dc3d1bf3e189fcfd1a713ca147d5360934cc21c387939bb5ba6dec9410d85b586d95207089b6aa033eea15bfc209e3 SHA512 e1ce33bbc165a9c640a38965a229b757b67746f2150d545eb0e29ba6d21cdf150bd8eb9a450d8dd71733fbea3b2ac24839dd8e381b7da9cd15ddf98c59304198
DIST wine-3.18.tar.xz 21479964 BLAKE2B 226ec5df6fb5bd94ea4b994f9142ff725b04c4d92da45360f811533880aa3865715a5fe5bb11ce29a55ed2881974013d58479add90b6ba655b035e61eec149c1 SHA512 2137662ea69964a69d77ff5c05f271783bda49af65d605909074d465ed8087d84065156e5c509eae31b4c3a20e83a838fc71bd077b2267640b163acfa5f7366e
DIST wine-3.19.tar.xz 21503304 BLAKE2B 0844970cd1f39daf51baf5aba537483d24ee5f5e6d188a1502367a7e2b121fea695cd6584cc87d50dfa32fb1f716387adb513b1645406dbcaed1731e1fd7d50f SHA512 84a1811b01024191959fd16a86bd532c96f16344feb4241954d0b5819ba1db8073dc7adcf1589b67169fb6089d2d501846f6fcbdc396c804f26c794cc4a1edd1
DIST wine-3.20.tar.xz 21541928 BLAKE2B 9183dacd1c6ec15ae5283eca3d17db5a869bcba9a93800a422f0dea5d9cfb5d3124a3e942e8b6487cd4ba31cfeacdd66de39128dd66d64e1226d265eae922d3a SHA512 fb66d1d4b427f46dd048b13e53bcd15a5eaeb19039221fe98ec771140c33b3c245a974e52242eab5731ffa0de15f5932204032fe24f86e1a313ff8f11da59cc4

@ -0,0 +1,525 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PLOCALES="ar bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt ml nb_NO nl or pa pl pt_BR pt_PT rm ro ru sk sl sr_RS@cyrillic sr_RS@latin sv te th tr uk wa zh_CN zh_TW"
PLOCALE_BACKUP="en"
inherit autotools eapi7-ver estack eutils flag-o-matic gnome2-utils l10n multilib multilib-minimal pax-utils toolchain-funcs virtualx xdg-utils
MY_PN="${PN%%-*}"
MY_P="${MY_PN}-${PV}"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
SRC_URI=""
#KEYWORDS=""
else
MAJOR_V=$(ver_cut 1)
SRC_URI="https://dl.winehq.org/wine/source/${MAJOR_V}.0/${MY_P}.tar.xz"
KEYWORDS="-* ~amd64 ~x86 ~x86-fbsd"
fi
S="${WORKDIR}/${MY_P}"
GWP_V="20180120"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, without external patchsets"
HOMEPAGE="https://www.winehq.org/"
SRC_URI="${SRC_URI}
https://dev.gentoo.org/~np-hardass/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
"
LICENSE="LGPL-2.1"
SLOT="${PV}"
IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +fontconfig +gecko gphoto2 gsm gstreamer +jpeg kerberos kernel_FreeBSD +lcms ldap +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pcap +png prelink pulseaudio +realtime +run-exes samba scanner selinux +ssl test +threads +truetype udev +udisks v4l +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
osmesa? ( opengl )
test? ( abi_x86_32 )" # osmesa-opengl #286560 # X-truetype #551124
# FIXME: the test suite is unsuitable for us; many tests require net access
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
COMMON_DEPEND="
X? (
x11-libs/libXcursor[${MULTILIB_USEDEP}]
x11-libs/libXext[${MULTILIB_USEDEP}]
x11-libs/libXfixes[${MULTILIB_USEDEP}]
x11-libs/libXrandr[${MULTILIB_USEDEP}]
x11-libs/libXi[${MULTILIB_USEDEP}]
x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
)
alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
capi? ( net-libs/libcapi[${MULTILIB_USEDEP}] )
cups? ( net-print/cups:=[${MULTILIB_USEDEP}] )
fontconfig? ( media-libs/fontconfig:=[${MULTILIB_USEDEP}] )
gphoto2? ( media-libs/libgphoto2:=[${MULTILIB_USEDEP}] )
gsm? ( media-sound/gsm:=[${MULTILIB_USEDEP}] )
gstreamer? (
media-libs/gstreamer:1.0[${MULTILIB_USEDEP}]
media-plugins/gst-plugins-meta:1.0[${MULTILIB_USEDEP}]
)
jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
kerberos? ( virtual/krb5[${MULTILIB_USEDEP}] )
lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
ncurses? ( >=sys-libs/ncurses-5.2:0=[${MULTILIB_USEDEP}] )
netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
openal? ( media-libs/openal:=[${MULTILIB_USEDEP}] )
opencl? ( virtual/opencl[${MULTILIB_USEDEP}] )
opengl? (
virtual/glu[${MULTILIB_USEDEP}]
virtual/opengl[${MULTILIB_USEDEP}]
)
osmesa? ( >=media-libs/mesa-13[osmesa,${MULTILIB_USEDEP}] )
pcap? ( net-libs/libpcap[${MULTILIB_USEDEP}] )
png? ( media-libs/libpng:0=[${MULTILIB_USEDEP}] )
pulseaudio? ( media-sound/pulseaudio[${MULTILIB_USEDEP}] )
scanner? ( media-gfx/sane-backends:=[${MULTILIB_USEDEP}] )
ssl? ( net-libs/gnutls:=[${MULTILIB_USEDEP}] )
truetype? ( >=media-libs/freetype-2.0.0[${MULTILIB_USEDEP}] )
udev? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
xcomposite? ( x11-libs/libXcomposite[${MULTILIB_USEDEP}] )
xinerama? ( x11-libs/libXinerama[${MULTILIB_USEDEP}] )
xml? (
dev-libs/libxml2[${MULTILIB_USEDEP}]
dev-libs/libxslt[${MULTILIB_USEDEP}]
)"
RDEPEND="${COMMON_DEPEND}
app-emulation/wine-desktop-common
>app-eselect/eselect-wine-0.3
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47[abi_x86_32?,abi_x86_64?] )
mono? ( app-emulation/wine-mono:4.7.1 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
)
pulseaudio? (
realtime? ( sys-auth/rtkit )
)
samba? ( >=net-fs/samba-3.0.25[winbind] )
selinux? ( sec-policy/selinux-wine )
udisks? ( sys-fs/udisks:2 )"
# tools/make_requests requires perl
DEPEND="${COMMON_DEPEND}
sys-devel/flex
>=sys-kernel/linux-headers-2.6
virtual/pkgconfig
virtual/yacc
X? ( x11-base/xorg-proto )
prelink? ( sys-devel/prelink )
xinerama? ( x11-base/xorg-proto )"
# These use a non-standard "Wine" category, which is provided by
# /etc/xdg/applications-merged/wine.menu
QA_DESKTOP_FILE="usr/share/applications/wine-browsedrive.desktop
usr/share/applications/wine-notepad.desktop
usr/share/applications/wine-uninstaller.desktop
usr/share/applications/wine-winecfg.desktop"
PATCHES=(
"${PATCHDIR}/patches/${MY_PN}-1.5.26-winegcc.patch" #260726
"${PATCHDIR}/patches/${MY_PN}-1.9.5-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-1.6-memset-O3.patch" #480508
"${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch" #310611
"${PATCHDIR}/patches/${MY_PN}-2.0-rearrange-manpages.patch" #469418 #617864
)
PATCHES_BIN=()
# https://bugs.gentoo.org/show_bug.cgi?id=635222
if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
DEPEND+=" dev-util/patchbin"
fi
wine_compiler_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
# GCC-specific bugs
if tc-is-gcc; then
# bug #549768
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
ebegin "Checking for gcc-5 ms_abi compiler bug"
$(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
# Run in subshell to prevent "Aborted" message
( "${T}"/pr66838 || false ) >/dev/null 2>&1
if ! eend $?; then
eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/549768"
eerror
return 1
fi
fi
# bug #574044
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
ebegin "Checking for gcc-5-3 stack realignment compiler bug"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
if ! eend $?; then
eerror "Wine cannot be built with this version of gcc-5.3"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/574044"
eerror
return 1
fi
fi
fi
# Ensure compiler support
if use abi_x86_64; then
ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
if ! eend $?; then
eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
eerror
eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
eerror
return 1
fi
fi
}
wine_build_environment_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
if use abi_x86_64; then
if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
eerror "You need gcc-4.4+ to compile 64-bit wine"
die
elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
eerror "You need clang-3.8+ to compile 64-bit wine"
die
fi
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
ewarn "See package.env in man 5 portage for more information on how to do this."
ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
fi
fi
if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
eerror "See https://bugs.gentoo.org/487864 for more details."
eerror
return 1
fi
}
wine_env_vcs_vars() {
local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
local pn_live_val="${pn_live_var}"
eval pn_live_val='$'${pn_live_val}
if [[ ! -z ${EGIT_COMMIT} ]]; then
eerror "Commits must now be specified using the environmental variables"
eerror "EGIT_OVERRIDE_COMMIT_WINE"
eerror
return 1
fi
}
pkg_pretend() {
wine_build_environment_check || die
# Verify OSS support
if use oss && ! use kernel_FreeBSD; then
if ! has_version ">=media-sound/oss-4"; then
eerror "You cannot build wine with USE=oss without having support from a"
eerror "FreeBSD kernel or >=media-sound/oss-4 (only available through external repos)"
eerror
die
fi
fi
}
pkg_setup() {
wine_build_environment_check || die
wine_env_vcs_vars || die
WINE_VARIANT="${PN#wine}-${PV}"
WINE_VARIANT="${WINE_VARIANT#-}"
MY_PREFIX="${EPREFIX}/usr/lib/wine-${WINE_VARIANT}"
MY_DATAROOTDIR="${EPREFIX}/usr/share/wine-${WINE_VARIANT}"
MY_DATADIR="${MY_DATAROOTDIR}"
MY_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
MY_INCLUDEDIR="${EPREFIX}/usr/include/wine-${WINE_VARIANT}"
MY_LIBEXECDIR="${EPREFIX}/usr/libexec/wine-${WINE_VARIANT}"
MY_LOCALSTATEDIR="${EPREFIX}/var/wine-${WINE_VARIANT}"
MY_MANDIR="${MY_DATADIR}/man"
}
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
EGIT_CHECKOUT_DIR="${S}" git-r3_src_unpack
fi
default
l10n_find_plocales_changes "${S}/po" "" ".po"
}
src_prepare() {
eapply_bin(){
local patch
for patch in ${PATCHES_BIN[@]}; do
patchbin --nogit < "${patch}" || die
done
}
local md5="$(md5sum server/protocol.def)"
default
eapply_bin
eautoreconf
# Modification of the server protocol requires regenerating the server requests
if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
einfo "server/protocol.def was patched; running tools/make_requests"
tools/make_requests || die #432348
fi
sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
if ! use run-exes; then
sed -i '/^MimeType/d' loader/wine.desktop || die #117785
fi
# Edit wine.desktop to work for specific variant
sed -e "/^Exec=/s/wine /wine-${WINE_VARIANT} /" -i loader/wine.desktop || die
# hi-res default icon, #472990, https://bugs.winehq.org/show_bug.cgi?id=24652
cp "${PATCHDIR}/files/oic_winlogo.ico" dlls/user32/resources/ || die
l10n_get_locales > po/LINGUAS || die # otherwise wine doesn't respect LINGUAS
# Fix manpage generation for locales #469418 and abi_x86_64 #617864
# Requires wine-2.0-rearrange-manpages.patch
# Duplicate manpages input files for wine64
local f
for f in loader/*.man.in; do
cp ${f} ${f/wine/wine64} || die
done
# Add wine64 manpages to Makefile
if use abi_x86_64; then
sed -i "/wine.man.in/i \
\\\twine64.man.in \\\\" loader/Makefile.in || die
sed -i -E 's/(.*wine)(.*\.UTF-8\.man\.in.*)/&\
\164\2/' loader/Makefile.in || die
fi
rm_man_file(){
local file="${1}"
loc=${2}
sed -i "/${loc}\.UTF-8\.man\.in/d" "${file}" || die
}
while read f; do
l10n_for_each_disabled_locale_do rm_man_file "${f}"
done < <(find -name "Makefile.in" -exec grep -q "UTF-8.man.in" "{}" \; -print)
}
src_configure() {
wine_compiler_check || die
export LDCONFIG=/bin/true
use custom-cflags || strip-flags
multilib-minimal_src_configure
}
multilib_src_configure() {
local myconf=(
--prefix="${MY_PREFIX}"
--datarootdir="${MY_DATAROOTDIR}"
--datadir="${MY_DATADIR}"
--docdir="${MY_DOCDIR}"
--includedir="${MY_INCLUDEDIR}"
--libdir="${EPREFIX}/usr/$(get_libdir)/wine-${WINE_VARIANT}"
--libexecdir="${MY_LIBEXECDIR}"
--localstatedir="${MY_LOCALSTATEDIR}"
--mandir="${MY_MANDIR}"
--sysconfdir=/etc/wine
$(use_with alsa)
$(use_with capi)
$(use_with lcms cms)
$(use_with cups)
$(use_with ncurses curses)
$(use_with udisks dbus)
$(use_with fontconfig)
$(use_with ssl gnutls)
$(use_enable gecko mshtml)
$(use_with gphoto2 gphoto)
$(use_with gsm)
$(use_with gstreamer)
--without-hal
$(use_with jpeg)
$(use_with kerberos krb5)
$(use_with ldap)
$(use_enable mono mscoree)
$(use_with mp3 mpg123)
$(use_with netapi)
$(use_with nls gettext)
$(use_with openal)
$(use_with opencl)
$(use_with opengl)
$(use_with osmesa)
$(use_with oss)
$(use_with pcap)
$(use_with png)
$(use_with pulseaudio pulse)
$(use_with threads pthread)
$(use_with scanner sane)
$(use_enable test tests)
$(use_with truetype freetype)
$(use_with udev)
$(use_with v4l)
$(use_with X x)
$(use_with X xfixes)
$(use_with xcomposite)
$(use_with xinerama)
$(use_with xml)
$(use_with xml xslt)
)
local PKG_CONFIG AR RANLIB
# Avoid crossdev's i686-pc-linux-gnu-pkg-config if building wine32 on amd64; #472038
# set AR and RANLIB to make QA scripts happy; #483342
tc-export PKG_CONFIG AR RANLIB
if use amd64; then
if [[ ${ABI} == amd64 ]]; then
myconf+=( --enable-win64 )
else
myconf+=( --disable-win64 )
fi
# Note: using --with-wine64 results in problems with multilib.eclass
# CC/LD hackery. We're using separate tools instead.
fi
ECONF_SOURCE=${S} \
econf "${myconf[@]}"
emake depend
}
multilib_src_test() {
# FIXME: win32-only; wine64 tests fail with "could not find the Wine loader"
if [[ ${ABI} == x86 ]]; then
if [[ $(id -u) == 0 ]]; then
ewarn "Skipping tests since they cannot be run under the root user."
ewarn "To run the test ${MY_PN} suite, add userpriv to FEATURES in make.conf"
return
fi
WINEPREFIX="${T}/.wine-${ABI}" \
Xemake test
fi
}
multilib_src_install_all() {
local DOCS=( ANNOUNCE AUTHORS README )
add_locale_docs() {
local locale_doc="documentation/README.$1"
[[ ! -e ${locale_doc} ]] || DOCS+=( ${locale_doc} )
}
l10n_for_each_locale_do add_locale_docs
einstalldocs
prune_libtool_files --all
if ! use perl ; then # winedump calls function_grep.pl, and winemaker is a perl script
rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
"${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
fi
# Remove wineconsole if neither backend is installed #551124
if ! use X && ! use ncurses; then
rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
rm_wineconsole() {
rm "${D%/}${MY_PREFIX}/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
}
multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
use abi_x86_64 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
if use abi_x86_64 && ! use abi_x86_32; then
dosym wine64 "${MY_PREFIX}"/bin/wine # 404331
dosym wine64-preloader "${MY_PREFIX}"/bin/wine-preloader
fi
# Failglob for binloops, shouldn't be necessary, but including to stay safe
eshopts_push -s failglob #615218
# Make wrappers for binaries for handling multiple variants
# Note: wrappers instead of symlinks because some are shell which use basename
local b
for b in "${D%/}${MY_PREFIX}"/bin/*; do
make_wrapper "${b##*/}-${WINE_VARIANT}" "${MY_PREFIX}/bin/${b##*/}"
done
eshopts_pop
}
pkg_postinst() {
eselect wine register ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine register --vanilla ${P} || die
fi
eselect wine update --all --if-unset || die
xdg_desktop_database_update
if ! use gecko; then
ewarn "Without Wine Gecko, wine prefixes will not have a default"
ewarn "implementation of iexplore. Many older windows applications"
ewarn "rely upon the existence of an iexplore implementation, so"
ewarn "you will likely need to install an external one, like via winetricks"
fi
if ! use mono; then
ewarn "Without Wine Mono, wine prefixes will not have a default"
ewarn "implementation of .NET. Many windows applications rely upon"
ewarn "the existence of a .NET implementation, so you will likely need"
ewarn "to install an external one, like via winetricks"
fi
}
pkg_prerm() {
eselect wine deregister ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine deregister --vanilla ${P} || die
fi
eselect wine update --all --if-unset || die
}
pkg_postrm() {
xdg_desktop_database_update
}

Binary file not shown.

@ -0,0 +1,83 @@
From dd679ad1d855e7f69a887eb343bb53d49dc664e7 Mon Sep 17 00:00:00 2001
From: Jordy Zomer <zome8499@student.alfa-college.nl>
Date: Sat, 24 Nov 2018 12:19:38 +0100
Subject: [PATCH 1/3] Fix CVE-2018-19497.
An issue was discovered in The Sleuth Kit (TSK) through 4.6.4.
The "tsk_getu16(hfs->fs_info.endian, &rec_buf[rec_off2])" call in hfs_dir_open_meta_cb in
tsk/fs/hfs_dent.c does not properly check boundaries. This results in
a crash (SEGV on unknown address
READ memory access)
when reading too much in the destination buffer.
---
tsk/fs/hfs.c | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/tsk/fs/hfs.c b/tsk/fs/hfs.c
index 00f1720b1b..0dec507165 100644
--- a/tsk/fs/hfs.c
+++ b/tsk/fs/hfs.c
@@ -956,7 +956,8 @@ hfs_cat_traverse(HFS_INFO * hfs,
key = (hfs_btree_key_cat *) & node[rec_off];
keylen = 2 + tsk_getu16(hfs->fs_info.endian, key->key_len);
- if ((keylen) > nodesize) {
+
+ if (keylen > nodesize - rec_off) {
tsk_error_set_errno(TSK_ERR_FS_GENFS);
tsk_error_set_errstr
("hfs_cat_traverse: length of key %d in index node %d too large (%d vs %"
From fb2bc0ad693db852fac1dcc77a072aeabe106ac8 Mon Sep 17 00:00:00 2001
From: Jordy Zomer <zome8499@student.alfa-college.nl>
Date: Sat, 24 Nov 2018 12:37:09 +0100
Subject: [PATCH 2/3] fix length in printf of nodesize
Also fix the length in printf next to comit dd679ad1d855e7f69a887eb343bb53d49dc664e7
---
tsk/fs/hfs.c | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tsk/fs/hfs.c b/tsk/fs/hfs.c
index 0dec507165..4f7c0679a8 100644
--- a/tsk/fs/hfs.c
+++ b/tsk/fs/hfs.c
@@ -961,7 +961,7 @@ hfs_cat_traverse(HFS_INFO * hfs,
tsk_error_set_errno(TSK_ERR_FS_GENFS);
tsk_error_set_errstr
("hfs_cat_traverse: length of key %d in index node %d too large (%d vs %"
- PRIu16 ")", rec, cur_node, keylen, nodesize);
+ PRIu16 ")", rec, cur_node, keylen, nodesize - rec_off);
free(node);
return 1;
}
From 8242588f4354339d9cb1ad82622e7c16c55391c9 Mon Sep 17 00:00:00 2001
From: Jordy Zomer <zome8499@student.alfa-college.nl>
Date: Sat, 24 Nov 2018 12:47:23 +0100
Subject: [PATCH 3/3] UPDATE on CVE-2018-19497.
make it >= because if keylen == nodesize - rec_off it's already past it's destination.
Also fix the sprintf
---
tsk/fs/hfs.c | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/tsk/fs/hfs.c b/tsk/fs/hfs.c
index 4f7c0679a8..bb3819ada9 100644
--- a/tsk/fs/hfs.c
+++ b/tsk/fs/hfs.c
@@ -957,11 +957,11 @@ hfs_cat_traverse(HFS_INFO * hfs,
keylen = 2 + tsk_getu16(hfs->fs_info.endian, key->key_len);
- if (keylen > nodesize - rec_off) {
+ if (keylen >= nodesize - rec_off) {
tsk_error_set_errno(TSK_ERR_FS_GENFS);
tsk_error_set_errstr
("hfs_cat_traverse: length of key %d in index node %d too large (%d vs %"
- PRIu16 ")", rec, cur_node, keylen, nodesize - rec_off);
+ PRIu16 ")", rec, cur_node, keylen, (nodesize - rec_off));
free(node);
return 1;
}

@ -60,6 +60,7 @@ DEPEND="${DEPEND}
PATCHES=(
"${FILESDIR}"/${PN}-4.1.0-tools-shared-libs.patch
"${FILESDIR}"/${PN}-4.6.4-default-jar-location-fix.patch
"${FILESDIR}"/${PN}-4.6.4-CVE-2018-19497-backport.patch
)
src_unpack() {
@ -199,6 +200,9 @@ src_configure() {
}
src_compile() {
# Give it an existing bogus ivy home #672220
local -x IVY_HOME="${T}"
# Create symlinks of jars for the required dependencies
if use java; then
pushd "${S}"/bindings/java &>/dev/null || die

Binary file not shown.

@ -0,0 +1 @@
DIST pip3line-3.5.4.tar.gz 732872 BLAKE2B e544a2e1af958f3b1ef2e523d8489c807976523109ef8cc73f2c43b543ba9bd0b48d49009637d386e69f7768db6e2bd5a8f098d30dbd199a0b3d6bdaf782c103 SHA512 4a5421e4bf197d8ba2802c3007cfdd4d75a8c356f5bd8774d7f50bb3301e6beb52cc06f7d3486e85c3eaa16d192643afeb00b95e4d174ce16665b509e522ee6a

@ -0,0 +1,17 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>gabriel.caudrelier@gmail.com</email>
<name>Gabriel Caudrelier</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<use>
<flag name='distorm'>Compile the Distorm plugin</flag>
<flag name='qscintilla'>Use QScintilla for more efficient text display</flag>
<flag name='ssl'>Compile the plugin adding miscellaneous hashes from OpenSSL</flag>
</use>
</pkgmetadata>

@ -0,0 +1,87 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
inherit cmake-utils python-r1 python-utils-r1
DESCRIPTION="Raw bytes manipulation, transformations (decoding and more) and interception"
HOMEPAGE="https://github.com/metrodango/pip3line"
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/metrodango/pip3line.git"
EGIT_BRANCH="master"
else
SRC_URI="https://github.com/metrodango/pip3line/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="GPL-3"
SLOT="0"
# A few comments
# the ssl flag is just there to enable the plugin for low level crypto algorithms.
# It has nothing to do with the SSL/TLS protocol itself.
IUSE="distorm python qscintilla ssl"
RDEPEND="
${PYTHON_DEPS}
dev-qt/qtconcurrent:5
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtsvg:5
dev-qt/qtwidgets:5
dev-qt/qtxmlpatterns:5
qscintilla? ( x11-libs/qscintilla )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
distorm? ( dev-vcs/git )"
src_configure() {
local mycmakeargs=(
-DBASIC=yes
-DWITH_DISTORM=$(usex distorm)
-DWITH_OPENSSL=$(usex ssl)
-DWITH_SCINTILLA=$(usex qscintilla)
)
# distorm is statically linked, due to insufficiencies
# in the current distorm64 package
if use distorm; then
mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)
fi
if use python; then
local targets=( ${PYTHON_TARGETS} )
for target in ${targets[@]}; do
if python_is_python3 ${target}; then
python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
mycmakeargs+=(-DWITH_PYTHON3=ON
-DPYTHON3_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
-DPYTHON3_LIBRARIES=${PYTHON_LIBPATH}
)
break
fi
done
for target in ${targets[@]}; do
if ! python_is_python3 ${target}; then
python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
mycmakeargs+=(-DWITH_PYTHON27=ON
-DPYTHON27_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
-DPYTHON27_LIBRARIES=${PYTHON_LIBPATH}
)
break
fi
done
fi
cmake-utils_src_configure
}

@ -0,0 +1,87 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
inherit cmake-utils python-r1 python-utils-r1
DESCRIPTION="Raw bytes manipulation, transformations (decoding and more) and interception"
HOMEPAGE="https://github.com/metrodango/pip3line"
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/metrodango/pip3line.git"
EGIT_BRANCH="master"
else
SRC_URI="https://github.com/metrodango/pip3line/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="GPL-3"
SLOT="0"
# A few comments
# the ssl flag is just there to enable the plugin for low level crypto algorithms.
# It has nothing to do with the SSL/TLS protocol itself.
IUSE="distorm python qscintilla ssl"
RDEPEND="
${PYTHON_DEPS}
dev-qt/qtconcurrent:5
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtsvg:5
dev-qt/qtwidgets:5
dev-qt/qtxmlpatterns:5
qscintilla? ( x11-libs/qscintilla )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
distorm? ( dev-vcs/git )"
src_configure() {
local mycmakeargs=(
-DBASIC=yes
-DWITH_DISTORM=$(usex distorm)
-DWITH_OPENSSL=$(usex ssl)
-DWITH_SCINTILLA=$(usex qscintilla)
)
# distorm is statically linked, due to insufficiencies
# in the current distorm64 package
if use distorm; then
mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)
fi
if use python; then
local targets=( ${PYTHON_TARGETS} )
for target in ${targets[@]}; do
if python_is_python3 ${target}; then
python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
mycmakeargs+=(-DWITH_PYTHON3=ON
-DPYTHON3_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
-DPYTHON3_LIBRARIES=${PYTHON_LIBPATH}
)
break
fi
done
for target in ${targets[@]}; do
if ! python_is_python3 ${target}; then
python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
mycmakeargs+=(-DWITH_PYTHON27=ON
-DPYTHON27_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
-DPYTHON27_LIBRARIES=${PYTHON_LIBPATH}
)
break
fi
done
fi
cmake-utils_src_configure
}

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://github.com/vaeth/eix/releases/download/v${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="debug doc nls sqlite"
BOTHDEPEND="nls? ( virtual/libintl )

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -9,7 +9,7 @@ if [[ ${PV} == 9999* ]] ; then
inherit git-r3 autotools
EGIT_REPO_URI="git://git.code.sf.net/p/zsh/code"
else
KEYWORDS="alpha amd64 arm arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SRC_URI="https://www.zsh.org/pub/${P}.tar.gz
https://www.zsh.org/pub/old/${P}.tar.gz
doc? ( https://www.zsh.org/pub/${P}-doc.tar.xz )"

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://mupdf.com/downloads/archive/${P}-source.tar.xz"
LICENSE="AGPL-3"
SLOT="0/${PV}"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ia64 ~ppc ~ppc64 x86 ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~ppc ~ppc64 x86 ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="X curl +javascript libressl opengl +openssl static-libs +vanilla"
RDEPEND="

Binary file not shown.

@ -16,7 +16,7 @@ SLOT="0"
KEYWORDS="amd64 x86"
IUSE="gnat_2016 gnat_2017 +gnat_2018"
RDEPEND="dev-ada/gnat_util[gnat_2016=,gnat_2017=,gnat_2018=]
RDEPEND="dev-ada/gnat_util[gnat_2016(-)?,gnat_2017(-)?,gnat_2018(-)?]
|| (
dev-ada/gnatcoll-core[gnat_2016=,gnat_2017=,gnat_2018=,shared]
dev-ada/gnatcoll[gnat_2016=,gnat_2017=,gnat_2018=,projects,shared]

@ -75,43 +75,3 @@
<string />
</project_attribute>
--- a/gnatcoll_extras/gnatcoll_extras.gpr 2018-07-22 14:42:17.618161040 +0200
+++ b/gnatcoll_extras/gnatcoll_extras.gpr 2018-07-22 14:43:33.973070921 +0200
@@ -14,6 +14,7 @@
for Switches ("C") use
("-g", "-O2")
& Shared.Gtk_Cflags & Shared.Pygobject_Include & Shared.Python_Cflags;
+ for Driver ("C") use External ("CC", "gcc");
end Compiler;
end GNATCOLL_Extras;
--- a/widgets/widgets.gpr 2018-07-22 21:46:23.907355738 +0200
+++ b/widgets/widgets.gpr 2018-07-22 21:47:02.673825994 +0200
@@ -14,6 +14,7 @@
for Switches ("C") use
("-g", "-O2")
& Shared.Gtk_Cflags;
+ for Driver ("C") use External ("CC", "gcc");
end Compiler;
end Widgets;
--- a/common/common.gpr.in 2018-07-25 08:05:45.227060250 +0200
+++ b/common/common.gpr.in 2018-07-25 08:06:55.067009811 +0200
@@ -23,6 +23,7 @@
for Switches ("dynamic_arrays.adb") use No_Checks;
when "Debug" =>
end case;
+ for Driver ("C") use External ("CC", "gcc");
end Compiler;
package Binder is
--- a/shared.gpr.in 2018-07-25 08:11:47.317597391 +0200
+++ b/shared.gpr.in 2018-07-25 08:10:56.774362671 +0200
@@ -60,6 +60,7 @@
);
for Switches ("C") use Optimize & ("-g", "-O2");
end case;
+ for Driver ("C") use External ("CC", "gcc");
end Compiler;
package Binder is

@ -3,7 +3,7 @@
EAPI=6
PYTHON_COMPAT=( python2_7 )
inherit python-single-r1 autotools desktop
inherit python-single-r1 autotools desktop llvm
MYP=${PN}-gpl-${PV}-src
@ -16,16 +16,23 @@ SRC_URI="http://mirrors.cdn.adacore.com/art/5b0cf627c7a4475261f97ceb
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
KEYWORDS="amd64 x86"
IUSE="gnat_2017 gnat_2018"
RDEPEND="${PYTHON_DEPS}
dev-ada/gnatcoll-db[gnatcoll_db2ada,gnatinspect,xref]
dev-ada/gnatcoll-bindings[python]
>=dev-ada/gtkada-2017[gnat_2018]
dev-ada/libadalang[gnat_2018]
dev-ada/gnatcoll-db[gnat_2017=,gnat_2018,gnatcoll_db2ada,gnatinspect,xref]
dev-ada/gnatcoll-bindings[gnat_2017=,gnat_2018=,python]
~dev-ada/gtkada-2018[gnat_2017=,gnat_2017=]
dev-ada/libadalang[gnat_2017=,gnat_2018=]
dev-libs/gobject-introspection
dev-libs/libffi
gnat_2017? ( sys-devel/llvm:5 )
gnat_2018? (
|| (
sys-devel/llvm:6
sys-devel/llvm:7
)
)
sys-devel/clang:=
x11-themes/adwaita-icon-theme
x11-themes/hicolor-icon-theme
@ -40,31 +47,46 @@ S="${WORKDIR}"/${MYP}
PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
pkg_setup() {
if use gnat_2017; then
GCC_PV=6.3.0
LLVM_MAX_SLOT=5
else
GCC_PV=7.3.1
LLVM_MAX_SLOT=7
fi
GNATMAKE=gnatmake-${GCC_PV}
GNATDRV=gnat-${GCC_PV}
GNATLS=gnatls-${GCC_PV}
llvm_pkg_setup
}
src_prepare() {
GCC_PV=7.3.1
default
sed -i \
-e "s:@GNATMAKE@:${CHOST}-gnatmake-${GCC_PV}:g" \
-e "s:@GNAT@:${CHOST}-gnat-${GCC_PV}:g" \
-e "s:@GNATLS@:${CHOST}-gnatls-${GCC_PV}:g" \
share/support/core/toolchains.py \
share/support/core/projects.py \
|| die
-e "s:@GNATMAKE@:${CHOST}-${GNATMAKE}:g" \
-e "s:@GNAT@:${CHOST}-${GNATDRV}:g" \
-e "s:@GNATLS@:${CHOST}-${GNATLS}:g" \
share/support/core/toolchains.py \
share/support/core/projects.py \
|| die
mv "${WORKDIR}"/libadalang-tools-src laltools
}
src_configure() {
econf \
GNATMAKE=/usr/bin/gnatmake-7.3.1 \
GNATDRV=/usr/bin/gnat-7.3.1 \
GNATMAKE=/usr/bin/${GNATMAKE} \
GNATDRV=/usr/bin/${GNATDRV} \
--with-clang=$(llvm-config --libdir)
}
src_compile() {
CC=/usr/bin/gcc-7.3.1 emake -C gps GPRBUILD_FLAGS="-v ${MAKEOPTS}" \
emake -C gps GPRBUILD_FLAGS="-v ${MAKEOPTS} \
-XGPR_BUILD=relocatable" \
Build=Production
gprbuild -v -p -Pcli/cli.gpr ${MAKEOPTS} -XLIBRARY_TYPE=relocatable \
-cargs:Ada ${ADAFLAGS}
-XGPR_BUILD=relocatable -cargs:Ada ${ADAFLAGS} || die
}
src_install() {

Binary file not shown.

@ -1,3 +1,5 @@
DIST Catch-1.11.0.tar.gz 376132 BLAKE2B 23a1a6292dd91ec1c71923b4902b42b59ff6be5227b666f68ef0dc33756a58a63edd70a9b139dda0b1860c2b7a0cfec7ab9262e6447eff3184cfe28ea9b0aa77 SHA512 33085c2671f78c7562eace909564b2730eabcaf4490cd463402e66ab4ac2be1fe4fe360916c11aa589ba4a010622444126ee2ae747783b5869b5d7276361f132
DIST Catch-1.12.2.tar.gz 377265 BLAKE2B bc27b4daee950f8fb93d65f3aed032e72bc856ee27a8dc28c35b89e33f414d68ba4cf00951e476688eddf9e4c0514036bd6916fa6cfa9e3359e6c625984f114f SHA512 ed963cdca9fe307ee02928677f81cafcb41cd607faaa315182fdf898d0f2aa28f0be2141bd642f46fdfac400c38f6d065e00a595a1e5879fe2335c4a3851e844
DIST Catch2-2.2.2.tar.gz 497244 BLAKE2B d5073d56b9399bd7f50bafc7758e60e31ba4434e229f92ca92cd04257f4a54cec925ad3180cc964c4f69edbaa7fc14f8af8e828421e2bb2b4f6c59eaea5cc06d SHA512 ab91036c6c3ace087d0382ce99f26b2c30a4b75d52f285619ca282a618470fe388afe47495f3b2764268d600c6834c60ba464483d06f3a1c4316c099477c8e38
DIST Catch2-2.3.0.tar.gz 506374 BLAKE2B f692eb0933ca578edf0f15cb83139d2fab03390b3980a686ea495101165d612c848b642ad1e7233bce5bb164c80958c9cbfbc229e72a1ae6947aa4dffdf27556 SHA512 e9a089b504c339e87bda0fb1a4040d9d19c932a4bc7dca41bdad6edfcf8c428f4152ff1e0c898dfdf6b20bd5d901c343bed00ad89351fa5182f3c106e0fb4b03
DIST Catch2-2.5.0.tar.gz 549328 BLAKE2B a32941a043a654228cc541dc675ad789f5b938ebc2d3177d1657f66f68fb175bec8c88a60ecba00e84eca74a7506dc83aed74ac89f7dde83213284eb4a497225 SHA512 420f1d1a5ea7b69be9fb316a8abe1fb7c7e78d44a982e883748f1e0c8d2a435c1518b6022742716019558a740f8b31977ed6a786b0293e0504206b016801cfe8

@ -0,0 +1,41 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
: ${CMAKE_MAKEFILE_GENERATOR:=ninja}
inherit cmake-utils
if [[ ${PV} == *9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/catchorg/Catch2.git"
EGIT_BRANCH="Catch1.x"
else
MY_P=${PN^}-${PV}
SRC_URI="https://github.com/catchorg/Catch2/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
KEYWORDS="~amd64 ~x86"
S="${WORKDIR}/${PN^}2-${PV}"
fi
DESCRIPTION="Modern C++ header-only framework for unit-tests"
HOMEPAGE="https://github.com/catchorg/Catch2"
LICENSE="Boost-1.0"
SLOT="1"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="!<dev-cpp/catch-1.12.2:0"
src_configure() {
local mycmakeargs=(
-DNO_SELFTEST=$(usex !test)
)
cmake-utils_src_configure
}
src_install() {
cmake-utils_src_install
dodoc -r docs/.
}

@ -1,20 +1,32 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGIT_REPO_URI="https://github.com/catchorg/Catch2.git"
EGIT_BRANCH="Catch1.x"
inherit cmake-utils git-r3
: ${CMAKE_MAKEFILE_GENERATOR:=ninja}
inherit cmake-utils
if [[ ${PV} == *9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/catchorg/Catch2.git"
EGIT_BRANCH="Catch1.x"
else
MY_P=${PN^}-${PV}
SRC_URI="https://github.com/catchorg/Catch2/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
KEYWORDS="~amd64 ~x86"
S="${WORKDIR}/${PN^}2-${PV}"
fi
DESCRIPTION="Modern C++ header-only framework for unit-tests"
HOMEPAGE="https://github.com/catchorg/Catch2"
SRC_URI=""
LICENSE="Boost-1.0"
SLOT="0"
KEYWORDS=""
SLOT="1"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="!<dev-cpp/catch-1.12.2:0"
src_configure() {
local mycmakeargs=(

@ -0,0 +1,46 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
: ${CMAKE_MAKEFILE_GENERATOR:=ninja}
inherit cmake-utils python-any-r1
if [[ ${PV} == *9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/catchorg/Catch2.git"
else
MY_P=${PN^}2-${PV}
SRC_URI="https://github.com/catchorg/Catch2/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
KEYWORDS="~amd64 ~x86"
S=${WORKDIR}/${MY_P}
fi
DESCRIPTION="Modern C++ header-only framework for unit-tests"
HOMEPAGE="https://github.com/catchorg/Catch2"
LICENSE="Boost-1.0"
SLOT="0"
IUSE="test"
RESTRICT="!test? ( test )"
DEPEND="test? ( ${PYTHON_DEPS} )"
pkg_setup() {
use test && python-any-r1_pkg_setup
}
src_configure() {
local mycmakeargs=(
-DCATCH_ENABLE_WERROR=OFF
-DBUILD_TESTING=$(usex test)
-DCMAKE_INSTALL_DOCDIR="share/doc/${PF}"
)
use test &&
mycmakeargs+=(-DPYTHON_EXECUTABLE="${PYTHON}")
cmake-utils_src_configure
}

Binary file not shown.

@ -13,7 +13,7 @@ SRC_URI="ftp://ftp.freetds.org/pub/${PN}/current/${MY_PN}.${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos"
IUSE="debug gnutls iconv kerberos libressl mssql iodbc odbc ssl static-libs"
# iODBC and unixODBC are mutually-exclusive choices for

@ -37,7 +37,7 @@ RESTRICT="libressl? ( test )"
REQUIRED_USE="?? ( tcmalloc jemalloc ) static? ( yassl )"
KEYWORDS="~alpha amd64 arm ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
# Shorten the path because the socket path length must be shorter than 107 chars
# and we will run a mysql server during test phase

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://github.com/google/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 x86"
KEYWORDS="amd64 x86"
IUSE="static-libs test"
src_configure() {

@ -0,0 +1,36 @@
From a90c578952219e740f24d9f2560f54f19ae7e906 Mon Sep 17 00:00:00 2001
From: Philip Withnall <withnall@endlessm.com>
Date: Wed, 11 Apr 2018 15:45:10 +0100
Subject: [PATCH] tests: Lower number of iterations in network-monitor-race
While 333 runs is very likely to reproduce the bug, Milan has previously
reproduced it with as few as 9 runs. Since this test will be run by the
CI machinery quite often, a lower number of runs each CI run will still
probably catch any regressions over time.
This reduces the total test runtime from 33s to 2s.
https://bugzilla.gnome.org/show_bug.cgi?id=793727
Signed-off-by: Philip Withnall <withnall@endlessm.com>
Reviewed-by: nobody
---
gio/tests/network-monitor-race.c | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/gio/tests/network-monitor-race.c b/gio/tests/network-monitor-race.c
index 4b92c87a5..cadd62cee 100644
--- a/gio/tests/network-monitor-race.c
+++ b/gio/tests/network-monitor-race.c
@@ -18,7 +18,7 @@
#include <glib/glib.h>
#include <gio/gio.h>
-#define MAX_RUNS 333
+#define MAX_RUNS 20
static gboolean
quit_loop (gpointer user_data)
--
2.17.0

@ -115,6 +115,9 @@ src_prepare() {
sed -i -e 's/ tests//' {.,gio,glib}/Makefile.am || die
fi
# Less max runs in network monitor race test to avoid hitting timeout limits
eapply "${FILESDIR}"/${PV}-network-monitor-race-test-iterations.patch # included in 2.57.1
# gdbus-codegen is a separate package
eapply "${FILESDIR}"/${PN}-2.54.3-external-gdbus-codegen.patch

@ -11,7 +11,7 @@ SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0/18" # subslot is based on SONAME
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="cddb +cxx minimal static-libs test"
RDEPEND="

@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="A wrapper that lets you read Zip archive members as if they were files"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ia64 ppc ppc64 sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ppc ppc64 sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Execute code after a scope finished compilation"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RDEPEND="

@ -12,7 +12,7 @@ DESCRIPTION="Lists of reserved barewords and symbol names"
# GPL-2 - no later clause
LICENSE="|| ( Artistic GPL-2 )"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris"
KEYWORDS="alpha amd64 ~arm ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris"
IUSE=""
DEPEND="virtual/perl-ExtUtils-MakeMaker"

@ -12,7 +12,7 @@ DESCRIPTION="Capture STDOUT and STDERR from Perl, XS or external programs"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RDEPEND="

@ -11,7 +11,7 @@ DESCRIPTION="OpenSSL support for LWP"
LICENSE="Artistic-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="libressl test"
RDEPEND="

Binary file not shown.

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Keep imports out of your namespace"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Keep imports and functions out of your namespace"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RDEPEND="

Binary file not shown.

@ -16,7 +16,7 @@ SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris"
IUSE="doc examples server test"
RDEPEND="

@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2 Unlicense"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-aix ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-aix ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND="dev-libs/gmp:0

@ -12,4 +12,4 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 x86"
KEYWORDS="amd64 x86"

Binary file not shown.

@ -2,11 +2,10 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>hydrapolic@gmail.com</email>
<name>Tomas Mozes</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
<email>gyakovlev@gentoo.org</email>
<name>Georgy Yakovlev</name>
</maintainer>
<upstream>
<remote-id type="github">hashicorp/ruby-checkpoint</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1 @@
DIST vagrant_cloud-2.0.1.tar.gz 12278 BLAKE2B 9d8bf72809af21e55a6fbfa4c41098a5164c5426ac1d75243f45ed71cc0be8790e06a6b512188683ef1acf2b39faf9d2d72619605ed90c2529eb69b36f4b804a SHA512 98a84200e8e34d0678be6a67872411308c32a8112b1788574baa24bb4bf2e5fd8eab4727f3e2ca56cd8251ff54d14f009145ded8d30a353a581997673a9269cc

@ -0,0 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>gyakovlev@gentoo.org</email>
<name>Georgy Yakovlev</name>
</maintainer>
<upstream>
<remote-id type="github">hashicorp/vagrant_cloud</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,30 @@
# Copyright 2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby23 ruby24 ruby25"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_TASK_DOC=""
inherit ruby-fakegem
DESCRIPTION="Vagrant Cloud API Library"
HOMEPAGE="https://github.com/hashicorp/vagrant_cloud"
SRC_URI="https://github.com/hashicorp/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
ruby_add_rdepend ">=dev-ruby/rest-client-2.0.2"
ruby_add_bdepend ">=dev-ruby/rake-10.4
test? ( >=dev-ruby/webmock-3.0 )"
all_ruby_prepare() {
sed -i -e '/rubocop/I s:^:#:' Rakefile || die
}

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -21,9 +21,9 @@ RDEPEND="${PYTHON_DEPS}
>=dev-libs/glib-2.34:2
dev-python/dbusmock[${PYTHON_USEDEP}]
"
DEPEND="
${RDEPEND}
DEPEND="${RDEPEND}
app-arch/xz-utils
dev-util/gdbus-codegen
dev-util/intltool
"
# now optional:

@ -1,2 +1,2 @@
DIST glslang-6.2.2596.tar.gz 2270084 BLAKE2B 234d7d201c5ddd91fdaeac1a84104b2b635131fa910315b1d14ae169f6141840a1559114fa2e07775120f56f57d59decd689f44609923152a2e15ecdda66207a SHA512 24c6e90c75767ffc2faf3f0868a7357d5f528cae8972c8b690cda0c573eac0f60f6b8795793534f39ccc2c649cb788101715e42cbdf7ca9d59c955f9b37a4f99
DIST glslang-7.10.2984.tar.gz 2439082 BLAKE2B f736f0e1c7be39531360de97d0bfb64681fee32dfd324d48082ff286b0a0355f313fe71ddcbac380e48213ba5433e4d0a95fa65a7f0f99c3cdef603e9722ad73 SHA512 4b96ee59745f4ba91e8e89a9a926e93f00db11dba9c74c4997efae5c9252c4e04a0a2cad0c6b8fc2dcbf7d690887486ee59db930628f3284545f89d3d7a3293c
DIST glslang-7.9.2888.tar.gz 2370459 BLAKE2B 9dc5550dce1fd718a8050cec81ad94195b19cc36cc4321fe5def48051dd66de4f9c651b6c34a7363701b52afba9f8c6cd4c2264f38416bc911fd2dcdf5a88ca4 SHA512 9a067a5006596bf61cd20f09173e2d22db37a10413bba1b1bb6e5ad3ecf46701786977961e2da8bfa32b19ccb2cc0a04d765f65ae01b80148e9b3f52dbfa8737

@ -1,11 +1,11 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-multilib cmake-utils vcs-snapshot
SNAPSHOT_COMMIT="6.2.2596"
SNAPSHOT_COMMIT="7.10.2984"
SRC_URI="https://github.com/KhronosGroup/${PN}/archive/${SNAPSHOT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"

@ -1,2 +1 @@
DIST gtk+-2.24.31.tar.xz 12805344 BLAKE2B f516f9970a95afa21ae5dbe9f0cafd3c57c5cd27af0c6740a0f7f4367eb8032719e39e533bf89db72dddba7485ee499da9c2370707f51bbc4a7af2d4fb7c1309 SHA512 75b846661308d94b5236e7e1c367deabf57753792ca87e92f9769822dd5ec90e00cd8d5574adcc12162e3702e1ae6dc152278a1d218f9bd9e4d1c8dc1dd520c1
DIST gtk+-2.24.32.tar.xz 12620860 BLAKE2B 03f4c0a8be98473f62bc8c86859937969c4169960a5f93d37ff6dcde00413215fa6c7125b15781bf50d67b40aa0056cb71b83fb50acb2c3467b5deb3c8d938f0 SHA512 8e8fd9ae32f1d6fb544da260f00599f0f05090d910d767b06ef086ab4f1f8373a29bb0da9767761c9b5f4cfd51b5c45d0fa5d39b0428c839ddf0a579df806696

@ -1,44 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
GNOME_ORG_MODULE="gtk+"
PYTHON_COMPAT=( python2_7 )
PYTHON_REQ_USE="xml"
inherit gnome.org python-single-r1
DESCRIPTION="Converts Glade files to GtkBuilder XML format"
HOMEPAGE="https://www.gtk.org/"
LICENSE="LGPL-2+"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
COMMON_DEPEND="${PYTHON_DEPS}"
# gtk-builder-convert was part of gtk+ until 2.24.10-r1
# man page transitioned in 2.24.31-r1
RDEPEND="${COMMON_DEPEND}
!<x11-libs/gtk+-2.24.31-r1:2
"
DEPEND="${COMMON_DEPEND}
app-text/docbook-xml-dtd:4.3
app-text/docbook-xsl-stylesheets
dev-libs/libxslt
"
src_configure() { :; }
src_compile() {
xsltproc -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl docs/reference/gtk/gtk-builder-convert.xml
}
src_install() {
doman gtk-builder-convert.1
python_doscript gtk/gtk-builder-convert
}

@ -1,2 +1,2 @@
DIST pycharm-professional-2018.2.1.tar.gz 343377232 BLAKE2B a8427902b4c7d1909e188130ab3688606ebc40b6eb8a633e9ccc36bf0a5cdd04772eb3cd0e7ba2cf77119f3efc9dfa8373c174db29b643bc9a350767524a4386 SHA512 3bb492932c5622771d39ebb66ee045e0affd2a16130f3a270af74bb75d8925bd3e29be5310f6003e5ff8a6f385b6376b9c77c7bf1e2b1e44c5671a04f86c8852
DIST pycharm-professional-2018.2.4.tar.gz 343705704 BLAKE2B 69cb8a57f8daf8d986c201e549bfb68b048a2f78e819aeee000bab836c5a25b50d0d6aa9870f6ff8b35907ba9bd69fef7071d421c74970f68496e4448495d43d SHA512 3bc35cfeb1f1d4b95bbc490bfdb724ab76757a5f819c7acc2cbe85688493a9d8dc57cfa179a424fc24679f2093f55d5417a6859001093d58518a8b330d60f7f4
DIST pycharm-professional-2018.3.tar.gz 397608153 BLAKE2B 7130533fb3721d1f573105dec2289091cab23b6438acadda0c62f945e7a9b2a0a55b4d55260e1f472ec77d1fd8dbc9ac9e7f7220ef26424ffbe918874049071e SHA512 0e83fa9117d46a503a3afd790fe2512cf04abc327ff7efdf46e40a24bcd028d6d2033ce56cdb1c4cfd1a8552d7d31af6e97a203c6273a5fd1b79263575fd2ee7

@ -11,7 +11,7 @@ SRC_URI="http://download.jetbrains.com/python/${P}.tar.gz"
LICENSE="PyCharm_Academic PyCharm_Classroom PyCharm PyCharm_OpenSource PyCharm_Preview"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
RDEPEND=">=virtual/jre-1.8
dev-python/pip"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,10 +11,10 @@ SRC_URI="http://download.jetbrains.com/python/${P}.tar.gz"
LICENSE="PyCharm_Academic PyCharm_Classroom PyCharm PyCharm_OpenSource PyCharm_Preview"
SLOT="0"
KEYWORDS="amd64 x86"
KEYWORDS="~amd64 ~x86"
RDEPEND=">=virtual/jre-1.8
dev-python/pip"
dev-python/pip"
RESTRICT="mirror strip"

@ -0,0 +1,48 @@
Honour user flags and CC
--- a/src/Makefile
+++ b/src/Makefile
@@ -170,7 +170,7 @@
echo "VERSION='$(VERSION)'" > $@ || { $(RM) $@; exit 1; }
$(UTILS_WITH_ELF_CLASS): $(ELF_CLASS)/%: %.c
- gcc $(FLAGS_ELF) -I$(CPU_DIR) -Wall -O2 -g $< -o $@
+ $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(FLAGS_ELF) -I$(CPU_DIR) -g $< -o $@
MY_GDB_CFILES := \
breakpoints.c \
@@ -187,13 +187,13 @@
MY_GDB_CPPFLAGS := -I. -I$(CPU_DIR) -I$(ELF_CLASS)
$(MY_GDB_OBJ_FILES): $(ELF_CLASS)/%.o: my_gdb/%.c
- gcc -c $(FLAGS_ELF) $(MY_GDB_CPPFLAGS) -Wall -O2 -g $< -o $@
+ $(CC) $(CPPFLAGS) $(CFLAGS) -c $(FLAGS_ELF) $(MY_GDB_CPPFLAGS) -g $< -o $@
$(ELF_CLASS)/my_gdb: $(MY_GDB_OBJ_FILES)
- gcc $(FLAGS_ELF) $^ -o $@
+ $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(FLAGS_ELF) $^ -o $@
$(ELF_CLASS)/dl-var.s: dl-var.c dl-var.inc
- gcc $(FLAGS_ELF) $(FLAGS_C_TO_ASM_ELF) -Wall -O2 -S $< -o $@.s
+ $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(FLAGS_ELF) $(FLAGS_C_TO_ASM_ELF) -S $< -o $@.s
/bin/sh asm.make.sh < $@.s > $@ || { $(RM) $@; exit 1; }
# Dependencies should be in correct order
@@ -210,7 +210,7 @@
# Because linker give warning about _start function I specify
# pretty dummy '--entry=0x0'
$(FILES_TO_BE_EMBEDDED_WITH_ELF_CLASS): $(ELF_CLASS)/%: $(ELF_CLASS)/%.o
- gcc $(FLAGS_ELF) -o $@ $< -Wl,--oformat,binary,--entry=0x0 -nostdlib
+ $(CC) $(CPPFLAGS) $(CFLAGS) $(FLAGS_ELF) -o $@ $< -Wl,--oformat,binary,--entry=0x0 -nostdlib
OBJECTS_TO_BE_EMBEDDED_WITH_ELF_CLASS = $(addsuffix .o,$(FILES_TO_BE_EMBEDDED_WITH_ELF_CLASS))
@@ -221,7 +221,7 @@
# with -include processor.h, start.S and $<
#
$(OBJECTS_TO_BE_EMBEDDED_WITH_ELF_CLASS): $(ELF_CLASS)/%.o: $(CPU_DIR)/%.S $(CPU_DIR)/processor.h ./start.S ./end.S
- gcc $(FLAGS_ELF) -c -o $@ -nostdinc -I$(CURDIR) -I$(CURDIR)/$(ELF_CLASS) -include $(CPU_DIR)/processor.h -include ./start.S -include $< ./end.S
+ $(CC) $(CPPFLAGS) $(CFLAGS) $(FLAGS_ELF) -c -o $@ -nostdinc -I$(CURDIR) -I$(CURDIR)/$(ELF_CLASS) -include $(CPU_DIR)/processor.h -include ./start.S -include $< ./end.S
# Additional dependencies:
$(ELF_CLASS)/regs.o: $(ELF_CLASS)/regs.inc

@ -1,11 +1,11 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
MULTILIB_COMPAT=( abi_x86_{32,64} )
inherit multilib-build
inherit multilib-build toolchain-funcs
DESCRIPTION="Statifier is a tool for creating portable, self-containing Linux executables"
HOMEPAGE="http://statifier.sourceforge.net"
@ -20,20 +20,23 @@ RDEPEND="app-shells/bash
sys-apps/coreutils
virtual/awk"
src_prepare() {
PATCHES=(
# Respect users CFLAGS and LDFLAGS
sed -i -e 's/-Wall -O2/$(CFLAGS) $(LDFLAGS)/g' src/Makefile || die
"${FILESDIR}"/${PN}-1.7.4-fix-build-system.patch
)
src_prepare() {
default
# Don't compile 32-bit on amd64 no-multilib profile
if ! use abi_x86_32; then
sed -i -e 's/ELF32 .*/ELF32 := no/g' configs/config.x86_64 || die
fi
# Apply user patches
eapply_user
}
src_configure() {
tc-export CC
# Fix permissions, as configure is not marked executable
chmod +x configure || die
econf

@ -1,2 +1 @@
DIST stressapptest-1.0.8.tar.gz 218485 BLAKE2B a843330dfbf16b324a13e4156c819e8b9139288bd316d560410aeb704ff4e24c47d86dd3b1d1a65d325b86110015c6e893cd38aea99d59b7c68989ba2228f376 SHA512 b5fde353d15958052219c3e505a22aa914e03a7fe96c3a0ac5025a4c730643f6fbdd5088a7cc0dd4618d4998151e2374507845110af8f2cdb43ccd4c87d48916
DIST stressapptest-1.0.9.tar.gz 219517 BLAKE2B 58fdb60b924bedd526cf31ed47a56cf4cca288abb43054fc6de5379ec2c6ea705c92eec1ef657274949009e40e8fa82ee9cc6e1bda2ef160a894ba95519fcfd8 SHA512 2680b9a4e148a2fe0cb7758ffde7624c8874bbae1e7650bb4df6916512be5949996da16d52f530b237fe4c6122fa9bb2d35b11092d106f59d614b44eec250595

@ -1,24 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
inherit flag-o-matic
DESCRIPTION="Stressful Application Test"
HOMEPAGE="https://github.com/stressapptest/stressapptest"
SRC_URI="https://github.com/stressapptest/stressapptest/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~mips ~x86"
IUSE="debug"
RDEPEND="dev-libs/libaio"
DEPEND="${RDEPEND}"
src_configure() {
# Matches the configure & sat.cc logic.
use debug || append-cppflags -DNDEBUG -DCHECKOPTS
econf --disable-default-optimizations
}

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
@ -18,6 +18,9 @@ RDEPEND="dev-libs/libaio"
DEPEND="${RDEPEND}"
src_configure() {
# Uses uintptr_t, which is C++11, #651842
append-cxxflags -std=c++11
# Matches the configure & sat.cc logic.
use debug || append-cppflags -DNDEBUG -DCHECKOPTS
econf --disable-default-optimizations

@ -1,2 +1,2 @@
DIST vulkan-headers-1.1.77.0.tar.gz 459383 BLAKE2B 4c08cb5264d2cae036e7a5c9260915186ba237067a003f69300ef550f1d944123223dce3c1084cf2e2a44f571b957928771e4d907e5714415841cda60dd5387d SHA512 097d6d532215751715c9ce0d97f4e7793318c5e37633754cda2f451201ef34121e14e99ecbf8d3281a417d1ece11f1065852ac5409d7b16a1370e27f065c3a78
DIST vulkan-headers-1.1.82.0.tar.gz 472739 BLAKE2B 323635c02909e1713973787812ea94cf14e9d6bbb16359594e2ac3910bab1a8de383674157575ef82f7fe100d78fdfdf1b6e82d75bed5d63abc7d38af555a6ab SHA512 9236db6d3e5c24687ae4ee01237190e4594657e6c6f00b3e859dbf34f6bfccea37a4d56fa7112d3d982c4fdabc1967e96c0fbbd07cc835591e4f48f00518ddb7
DIST vulkan-headers-1.1.92.0.tar.gz 541278 BLAKE2B f1743a376d18185bed136acd11cab0f8cdea2146ae4f9d389332b1afd83a29a32f2dc2a66f441cdb07f99a24c68d8743710762716cc3d0baf8f10933a3db0351 SHA512 61e47eec60ca713e958cbe2fe80241afe699a7853a0ca2b7f866aa37de064115df8418226b2ace22def12fdf97531f2301a92756b6ebe7862a11004d2f1d93c4

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -9,7 +9,7 @@ if [[ "${PV}" == "9999" ]]; then
EGIT_REPO_URI="https://github.com/KhronosGroup/Vulkan-Headers.git"
inherit git-r3
else
EGIT_COMMIT="b1577d5fbd5424c863710aa156aaafa77cae3de8"
EGIT_COMMIT="114c3546e195819bd53a34b39f5194b2989a5b12"
KEYWORDS="~amd64"
SRC_URI="https://github.com/KhronosGroup/Vulkan-Headers/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/Vulkan-Headers-${EGIT_COMMIT}"
@ -23,5 +23,3 @@ SLOT="0"
# Old packaging will cause file collisions
RDEPEND="!<=media-libs/vulkan-loader-1.1.70.0-r999"
PATCHES=( "${FILESDIR}/${PN}"-1.1.77.0-r1-Remove-loader-layer-dep.patch )

@ -1,2 +1,2 @@
DIST vulkan-tools-1.1.77.0.tar.gz 330131 BLAKE2B 3190c59745f6068fc00871f7c7c889ec2e429095d5090b0b02e1d3bbdd8613147febbbe4da3f1d48690a34577bff21bf5fd90bed77a621d0716e1b10dd9e8207 SHA512 e569e1d6da651a9f3c4669de0d4ebd301528036e283ea46049abdabca6b1b993f07e48643f91b29a38859a44770e55c8222058cf1f2a0dfd4838c37f801ba725
DIST vulkan-tools-1.1.82.0.tar.gz 342321 BLAKE2B 8591e7b16b59a1f839639642b652bcb040d9d1695a7e1cc3ccbc791703504647a517a6632db90bff9a21f7417d2219f2b7720ae1798795b31171e798b8d12ff5 SHA512 214cd30b03bf11310fe890bbcc082e515125a89591a225d113412bc41d302f8bc9a8598faaf8ca7acbd9c9ee3da43431564572e9495d966a13f90d277115d9c5
DIST vulkan-tools-1.1.92.0.tar.gz 344286 BLAKE2B 2bbf19b458b780f26b5520fa298416cda50c951fd04529da4fdf77b0e2c57d38ca1dd7e9bd08cb14cf9a7eda0b5a58623f7a75e0d421d1511ed50056c2b369ca SHA512 cdca9332b399300b7011c90ab25a8227028009ffade9c587788229175476a000843a340625691a6a7970433961b776d8aab69332a4d3b5a2d89fdc18330302cc

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -24,8 +24,6 @@ LICENSE="Apache-2.0"
SLOT="0"
IUSE="+cube +vulkaninfo X wayland"
# Old packaging will cause file collisions
RDEPEND="!<=media-libs/vulkan-loader-1.1.70.0-r999"
DEPEND="${PYTHON_DEPS}
cube? ( dev-util/glslang:=[${MULTILIB_USEDEP}] )
dev-util/vulkan-headers

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -9,7 +9,7 @@ if [[ "${PV}" == "9999" ]]; then
EGIT_SUBMODULES=()
inherit git-r3
else
EGIT_COMMIT="384fff68c802a10b5d7f4f352a4bb43b3efe5f23"
EGIT_COMMIT="9bbdd552f0fd62741aa1f1e02ab3eafc45cf3c1e"
KEYWORDS="~amd64"
SRC_URI="https://github.com/KhronosGroup/Vulkan-Tools/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/Vulkan-Tools-${EGIT_COMMIT}"
@ -24,8 +24,6 @@ LICENSE="Apache-2.0"
SLOT="0"
IUSE="+cube +vulkaninfo X wayland"
# Old packaging will cause file collisions
RDEPEND="!<=media-libs/vulkan-loader-1.1.70.0-r999"
DEPEND="${PYTHON_DEPS}
cube? ( dev-util/glslang:=[${MULTILIB_USEDEP}] )
dev-util/vulkan-headers
@ -49,8 +47,8 @@ pkg_setup() {
if use cube; then
MULTILIB_CHOST_TOOLS+=(
/usr/bin/vulkancube
/usr/bin/vulkancubecpp
/usr/bin/vkcube
/usr/bin/vkcubepp
)
fi
@ -93,14 +91,4 @@ multilib_src_configure() {
multilib_src_install() {
cmake-utils_src_install
if use cube; then
mv "${ED%/}"/usr/bin/cube "${ED%/}"/usr/bin/vulkancube || die
mv "${ED%/}"/usr/bin/cubepp "${ED%/}"/usr/bin/vulkancubecpp || die
fi
}
pkg_postinst() {
einfo "The cube and cubepp demos have been renamed to"
einfo "vulkancube and vulkancubecpp to prevent collisions"
}

@ -9,7 +9,7 @@ if [[ "${PV}" == "9999" ]]; then
EGIT_SUBMODULES=()
inherit git-r3
else
EGIT_COMMIT="2cfddd146d666efe0ed06ef1d2bc5565821df144"
EGIT_COMMIT="9bbdd552f0fd62741aa1f1e02ab3eafc45cf3c1e"
KEYWORDS="~amd64"
SRC_URI="https://github.com/KhronosGroup/Vulkan-Tools/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/Vulkan-Tools-${EGIT_COMMIT}"
@ -24,8 +24,6 @@ LICENSE="Apache-2.0"
SLOT="0"
IUSE="+cube +vulkaninfo X wayland"
# Old packaging will cause file collisions
RDEPEND="!<=media-libs/vulkan-loader-1.1.70.0-r999"
DEPEND="${PYTHON_DEPS}
cube? ( dev-util/glslang:=[${MULTILIB_USEDEP}] )
dev-util/vulkan-headers

Binary file not shown.

@ -698,7 +698,8 @@ showpkgdeps() {
pkg_postinst() {
use emacs && elisp-site-regen
elog "Please read /usr/share/bash-completion/git for Git bash command completion"
elog "Please read /usr/share/bash-completion/completions/git for Git bash command"
elog "completion."
elog "Please read /usr/share/git/git-prompt.sh for Git bash prompt"
elog "Note that the prompt bash code is now in that separate script"
elog "These additional scripts need some dependencies:"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -689,7 +689,8 @@ showpkgdeps() {
pkg_postinst() {
use emacs && elisp-site-regen
elog "Please read /usr/share/bash-completion/git for Git bash command completion"
elog "Please read /usr/share/bash-completion/completions/git for Git bash command"
elog "completion."
elog "Please read /usr/share/git/git-prompt.sh for Git bash prompt"
elog "Note that the prompt bash code is now in that separate script"
elog "These additional scripts need some dependencies:"

@ -45,7 +45,7 @@ if [[ ${PV} != *9999 ]]; then
${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
)"
[[ "${PV}" = *_rc* ]] || \
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
LICENSE="GPL-2"
@ -689,7 +689,8 @@ showpkgdeps() {
pkg_postinst() {
use emacs && elisp-site-regen
elog "Please read /usr/share/bash-completion/git for Git bash command completion"
elog "Please read /usr/share/bash-completion/completions/git for Git bash command"
elog "completion."
elog "Please read /usr/share/git/git-prompt.sh for Git bash prompt"
elog "Note that the prompt bash code is now in that separate script"
elog "These additional scripts need some dependencies:"

@ -689,7 +689,8 @@ showpkgdeps() {
pkg_postinst() {
use emacs && elisp-site-regen
elog "Please read /usr/share/bash-completion/git for Git bash command completion"
elog "Please read /usr/share/bash-completion/completions/git for Git bash command"
elog "completion."
elog "Please read /usr/share/git/git-prompt.sh for Git bash prompt"
elog "Note that the prompt bash code is now in that separate script"
elog "These additional scripts need some dependencies:"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -689,7 +689,8 @@ showpkgdeps() {
pkg_postinst() {
use emacs && elisp-site-regen
elog "Please read /usr/share/bash-completion/git for Git bash command completion"
elog "Please read /usr/share/bash-completion/completions/git for Git bash command"
elog "completion."
elog "Please read /usr/share/git/git-prompt.sh for Git bash prompt"
elog "Note that the prompt bash code is now in that separate script"
elog "These additional scripts need some dependencies:"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -689,7 +689,8 @@ showpkgdeps() {
pkg_postinst() {
use emacs && elisp-site-regen
elog "Please read /usr/share/bash-completion/git for Git bash command completion"
elog "Please read /usr/share/bash-completion/completions/git for Git bash command"
elog "completion."
elog "Please read /usr/share/git/git-prompt.sh for Git bash prompt"
elog "Note that the prompt bash code is now in that separate script"
elog "These additional scripts need some dependencies:"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -689,7 +689,8 @@ showpkgdeps() {
pkg_postinst() {
use emacs && elisp-site-regen
elog "Please read /usr/share/bash-completion/git for Git bash command completion"
elog "Please read /usr/share/bash-completion/completions/git for Git bash command"
elog "completion."
elog "Please read /usr/share/git/git-prompt.sh for Git bash prompt"
elog "Note that the prompt bash code is now in that separate script"
elog "These additional scripts need some dependencies:"

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -692,7 +692,8 @@ showpkgdeps() {
pkg_postinst() {
use emacs && elisp-site-regen
elog "Please read /usr/share/bash-completion/git for Git bash command completion"
elog "Please read /usr/share/bash-completion/completions/git for Git bash command"
elog "completion."
elog "Please read /usr/share/git/git-prompt.sh for Git bash prompt"
elog "Note that the prompt bash code is now in that separate script"
elog "These additional scripts need some dependencies:"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save